package com.yunyan.business.service;

import java.util.List;
import com.yunyan.business.domain.ReportExplain;
import com.baomidou.mybatisplus.extension.service.IService;

import com.yunyan.common.core.domain.AjaxResultVo;

/**
 * 报告-格数据,情况说明Service接口
 *
 * @author yunyan
 * @date 2023-12-15
 */
public interface IReportExplainService extends IService<ReportExplain>
{

    /**
     * 查询报告-格数据,情况说明列表
     *
     * @param reportExplain 报告-格数据,情况说明
     * @return 报告-格数据,情况说明集合
     */
    public List<ReportExplain> selectReportExplainList(ReportExplain reportExplain);

    /**
    * 新增
    * @param
    * @return
    */
    AjaxResultVo add(ReportExplain dto);

    /**
     * 编辑
     * @param
     * @return
     */
    AjaxResultVo edit(ReportExplain dto);

    /**
     * 详情
     * @param id
     * @return
     */
    AjaxResultVo info(Long id);

    /**
     * 通过 报告ID 查询
     * @param reportId
     * @return
     */
    ReportExplain getReportExplainByReportId(Long reportId);

}
